<div class="popup-add-address">
  <form [formGroup]="addressForm" (ngSubmit)="saveAddressDetails()">
    <div class="row">
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'labelFirstName' | translate: lang}}</mat-label>
          <input matInput [placeholder]="'labelFirstName' | translate: lang" required formControlName="firstName"
            [maxlength]="manageRule.FIRST_NAME_MAX_LENGTH">
          <mat-hint
            *ngIf="(addressForm.controls['firstName'].invalid && (addressForm.controls['firstName'].dirty || addressForm.controls['firstName'].touched))">
            <mat-error *ngIf="addressForm.controls['firstName'].errors.required">
              {{'errorRequired' | translate: lang}}
            </mat-error>
            <mat-error
              *ngIf="addressForm.controls['firstName'].errors.pattern && addressForm.controls['firstName'].value.length >= manageRule.FIRST_NAME_MIN_LENGTH">
              {{'labelFirstName' | translate: lang}} {{'errorAlphabets' | translate: lang}}
            </mat-error>
            <mat-error *ngIf="addressForm.controls['firstName'].errors.minlength">
              {{'errorMinimumCharacter' | translate: lang}} {{manageRule.FIRST_NAME_MIN_LENGTH}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'labelLastName' | translate: lang}}</mat-label>
          <input matInput [placeholder]="'labelLastName' | translate: lang" required formControlName="lastName"
            [maxlength]="manageRule.LAST_NAME_MAX_LENGTH">
          <mat-hint
            *ngIf="(addressForm.controls['lastName'].invalid && (addressForm.controls['lastName'].dirty || addressForm.controls['lastName'].touched))">
            <mat-error *ngIf="addressForm.controls['lastName'].errors.required">
              {{'errorRequired' | translate: lang}}
            </mat-error>
            <mat-error
              *ngIf="addressForm.controls['lastName'].errors.pattern && addressForm.controls['lastName'].value.length >= manageRule.LAST_NAME_MIN_LENGTH">
              {{'labelLastName' | translate: lang}} {{'errorAlphabets' | translate: lang}}
            </mat-error>
            <mat-error *ngIf="addressForm.controls['lastName'].errors.minlength">
              {{'errorLastNameCharacter' | translate: lang}} {{manageRule.LAST_NAME_MIN_LENGTH}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'labelPhone' | translate: lang}}</mat-label>
          <input matInput [placeholder]="patternDetails ? patternDetails.phoneFormat : ''" required autocomplete="off"
            formControlName="Mobile">
          <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
          <mat-hint
            *ngIf="(addressForm.controls['Mobile'].invalid && (addressForm.controls['Mobile'].dirty || addressForm.controls['Mobile'].touched))">
            <mat-error *ngIf="addressForm.controls['Mobile'].errors.required">
              {{'errorRequired' | translate: lang}}
            </mat-error>
            <mat-error
              *ngIf="addressForm.controls['Mobile'].errors.pattern && !addressForm.controls['Mobile'].errors.required">
              {{'errorValidPhone' | translate: lang}}{{patternDetails.phoneFormat}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'labelPhone1' | translate: lang}}</mat-label>
          <span class="contry-code" matPrefix>{{countryCode}} &nbsp;</span>
          <input matInput [placeholder]="patternDetails ? patternDetails.phoneFormat : ''" autocomplete="off"
            formControlName="alternateMobile">
          <mat-hint
            *ngIf="(addressForm.controls['alternateMobile'].invalid && (addressForm.controls['alternateMobile'].dirty || addressForm.controls['alternateMobile'].touched))">
            <mat-error
              *ngIf="addressForm.controls['alternateMobile'].errors.pattern && !addressForm.controls['alternateMobile'].errors.required">
              {{'errorValidPhone' | translate: lang}}{{patternDetails.phoneFormat}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'placeholderAddress1' | translate: lang}}</mat-label>
          <input matInput [placeholder]="'placeholderAddress1' | translate: lang" required formControlName="Address1"
            [maxLength]="manageRule.ADDRESS_MAX_LENGTH">
          <mat-hint
            *ngIf="(addressForm.controls['Address1'].invalid && (addressForm.controls['Address1'].dirty || addressForm.controls['Address1'].touched))">
            <mat-error *ngIf="addressForm.controls['Address1'].errors.required">
              {{'errorRequired' | translate: lang}}
            </mat-error>
            <mat-error *ngIf="addressForm.controls['Address1'].errors.minlength">
              {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'placeholderAddress2' | translate: lang}}</mat-label>
          <input matInput [placeholder]="'placeholderAddress2' | translate: lang" formControlName="Address2"
            [maxLength]="manageRule.ADDRESS_MAX_LENGTH">
          <mat-hint
            *ngIf="(addressForm.controls['Address2'].invalid && (addressForm.controls['Address2'].dirty || addressForm.controls['Address2'].touched))">
            <mat-error *ngIf="addressForm.controls['Address2'].errors.minlength">
              {{'errorMinimumCharacter' | translate: lang}} {{manageRule.ADDRESS_MIN_LENGTH}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <app-mat-select-search (selectionChange)="onChangeCountry($event)" [label]="'lableCountry' | translate: lang"
          [list]="countryList" valueField="countryId" [myFormControl]="addressForm.controls['Country']"
          [requiredMsg]="'errorRequired' | translate:lang"
          [searchPlaceholder]="'COUNTRY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
          [noResultsLabel]="'COUNTRY_SEARCH_NOT_FOUND' | translate: lang" displayField="countryName">
        </app-mat-select-search>
      </div>
      <div class="col-md-6">
        <app-mat-select-search (selectionChange)="onChangeState($event)" [label]="'lableState' | translate: lang"
          [list]="stateList" valueField="stateId" [myFormControl]="addressForm.controls['State']"
          [requiredMsg]="'errorRequired' | translate:lang"
          [searchPlaceholder]="'STATE_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
          [noResultsLabel]="'STATE_SEARCH_NOT_FOUND' | translate: lang" displayField="stateName">
        </app-mat-select-search>
      </div>

      <div class="col-md-6">
        <app-mat-select-search [label]="'REGION' | translate: lang" [list]="regionList"
          (selectionChange)="onChangeRegion(true)" valueField="regionId"
          [myFormControl]="addressForm.controls['divisionId']" [requiredMsg]="'REQUIRED' | translate:lang"
          [searchPlaceholder]="'REGION_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="true" [isRequired]="true"
          [noResultsLabel]="'REGION_SEARCH_NOT_FOUND' | translate: lang" displayField="divisionName">
        </app-mat-select-search>
      </div>
      <div class="col-md-6">
        <app-mat-select-search [label]="'DISTRICT' | translate: lang" [list]="districtList"
          (selectionChange)="onChangeDistrict(true)" valueField="districtId"
          [myFormControl]="addressForm.controls['districtId']" [requiredMsg]="'REQUIRED' | translate:lang"
          [searchPlaceholder]="'DISTRICT_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="true" [isRequired]="true"
          [noResultsLabel]="'DISTRICT_SEARCH_NOT_FOUND' | translate: lang" displayField="districtName">
        </app-mat-select-search>
      </div>

      <div class="col-md-6">
        <app-mat-select-search [label]="'lableCity' | translate: lang" [list]="cityList" valueField="townVillageId"
          [myFormControl]="addressForm.controls['City']" [requiredMsg]="'errorRequired' | translate:lang"
          [searchPlaceholder]="'CITY_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true"
          [noResultsLabel]="'CITY_SEARCH_NOT_FOUND' | translate: lang" displayField="name" [serverSide]="true"
          [dynamicSearchId]="addressForm.controls['districtId'].value">
        </app-mat-select-search>
      </div>
      <div class="col-md-6">
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>{{'lablePincode' | translate: lang}}</mat-label>
          <input matInput [placeholder]="'lablePincode' | translate: lang" required formControlName="Pincode"
            [maxLength]="manageRule.PINCODE_MAX_LENGTH" (keypress)="pinCodePatternCheck($event)">
          <mat-hint
            *ngIf="(addressForm.controls['Pincode'].invalid && (addressForm.controls['Pincode'].dirty || addressForm.controls['Pincode'].touched))">
            <mat-error *ngIf="addressForm.controls['Pincode'].errors.required">
              {{'errorRequired' | translate: lang}}
            </mat-error>
            <mat-error
              *ngIf="addressForm.controls['Pincode'].errors.pattern && addressForm.controls['Pincode'].value.length >= manageRule.PINCODE_MIN_LENGTH">
              {{'INVALID_ZIPCODE' | translate: lang}}
            </mat-error>
            <mat-error *ngIf="addressForm.controls['Pincode'].errors.minlength">
              {{'errorMinimumCharacter' | translate: lang}} {{manageRule.PINCODE_MIN_LENGTH}}
            </mat-error>
          </mat-hint>
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <label class="address-type">{{'placeholderAddressType' | translate: lang}}</label><br>
        <mat-radio-group class="example-radio-group" formControlName="AddressType">
          <mat-radio-button *ngFor="let type of addressTypeList" class="example-radio-button"
            [value]="type.addressTypeId">{{type.addressType}}</mat-radio-button>
        </mat-radio-group>
      </div>
    </div>
    <div class="row mt-3 m-b20">
      <div class="col">
        <button [disabled]="!addressForm.valid" class="m-r10" mat-raised-button color="primary"
          [title]="'buttonSave' | translate: lang">{{'buttonSave'
          | translate: lang}}
        </button>
        <button [mat-dialog-close]="true" mat-raised-button type="button" class="cancel-btn"
          [title]="'buttonCancel' | translate: lang">
          {{'buttonCancel' | translate: lang}}
        </button>
      </div>
    </div>
  </form>
</div>